Categories:
  - Navigation
License: GPL-3.0-only
SourceCode: https://github.com/jevonlongdell/nztides
IssueTracker: https://github.com/jevonlongdell/nztides/issues

AutoName: NZ Tides
Description: |-
    Based on lookup table of official LINZ tide predictions so should be accurate.
    Transcription errors are unlikely but possible. This program shouldn't be used
    where life or property is at risk.

RepoType: git
Repo: https://github.com/jevonlongdell/nztides

Builds:
  - versionName: '4.0'
    versionCode: 4
    commit: 93f349
    subdir: nztides_app
    init: rm -rf ../packages
    target: android-7

  - versionName: '5'
    versionCode: 5
    commit: b5a82b
    subdir: nztides_app
    prebuild: rm -rf ../packages

  - versionName: '6'
    versionCode: 6
    commit: 6af80b648250
    subdir: nztides_app

  - versionName: '7'
    versionCode: 7
    commit: 5d3016480c744c55b79f58125a5d497423d8f03a
    subdir: nztides_app/app
    gradle:
      - yes

  - versionName: '9'
    versionCode: 9
    commit: b536e37c2ba79e11dd2ea7db8ffabd680dda20ff
    subdir: nztides_app/app
    gradle:
      - yes

  - versionName: '11'
    versionCode: 11
    commit: 8134d75d767745fa695d0b8c31ae74606576f861
    subdir: nztides_app/app
    gradle:
      - yes

  - versionName: '12'
    versionCode: 12
    commit: v12
    subdir: nztides_app/app
    gradle:
      - yes

  - versionName: '14'
    versionCode: 14
    commit: v15
    subdir: nztides_app/app
    gradle:
      - yes
    rm:
      - nztides_app_eclipse_obselete
      - packages
      - tidelookup

  - versionName: '18'
    versionCode: 18
    commit: e273806230bae18ecc32176814d852f1d1def54b
    subdir: nztides_app/app
    gradle:
      - yes
    rm:
      - nztides_app_eclipse_obselete
      - packages
      - tidelookup

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '18'
CurrentVersionCode: 18
